#ifndef NAME_LEN
#define NAME_LEN   16        // max length of entity names
#endif

#define CAM_COOKIE 49495923

typedef struct camera_type
{
  int		cookie;
  char		name[NAME_LEN];
  int		pixel_dim[2];	// projection screen size in pixels
  double	world_dim[2];	// screen size in world coordinates
  vec_t		view_point;	// viewpoint location in world coords
} camera_t;

void	camera_init(FILE*,camera_t**,int);
void	camera_del(camera_t**);
void	camera_load_attributes(FILE*, camera_t*);
void	camera_print(camera_t*,FILE*);
char*	camera_getname(camera_t*);
