#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <math.h>

#include "vector.h"
#include "matrix.h"

// compute the vector-matrix product
void vec_xform(mtx_t m,vec_t v1,vec_t v2)
{
	int	i;
	vec_t	v3;	// avoid aliasing problems

  for(i=0;i<3;i++) v3[i] = vec_dot(m[i],v1);

  vec_copy(v3,v2);
}

void mat_xpose(mtx_t m1,mtx_t m2)
{
	int	i,j;

  for(i=0;i<3;i++) for(j=0;j<3;j++) m2[i][j] = m1[j][i];
}
